%{expand:%%define apache_version %(rpm -q apache-devel|sed 's/apache-devel-\([0-9].*\)-.*$/\1/')}
%{expand:%%define apache_release %(rpm -q apache-devel|sed 's/apache-devel-[0-9].*-\(.*\)$/\1/')}
%define mm_major 1
%{expand:%%define mm_minor %(rpm -q libmm1|sed 's/libmm1-1\.\([0-9.]*\)-.*$/\1/')}
%define mm_version %{mm_major}.%{mm_minor}

%define version 1.6.0
%define release 9mdk
%define name auth_ldap
%define real_name mod_auth_ldap
%define apachebase %{_sysconfdir}/httpd
%define apachecontent /var/www/html
%define openldap_version 2.0.27

Summary:	This is a LDAP authentication module for Apache
Name:		%{name}
Group:		System/Servers
License:	GPL
Version:	%{version}
Release: 	%{release}
Source:		http://www.rudedog.org/auth_ldap/auth_ldap-%{version}.tar.bz2
Patch:		auth_ldap_register.patch.bz2
URL:		http://www.rudedog.org/auth_ldap/
Prefix:		%{_prefix}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.

%package -n %{real_name}
Summary:        This is a LDAP authentication module for Apache
Group:          System/Servers
Obsoletes:      auth_ldap
Provides:       auth_ldap = %{version}-%{release}
Requires:       apache = %{apache_version}
BuildRequires:  openldap-devel = %{openldap_version}
BuildRequires:  apache-devel = %{apache_version}
Provides: 	ADVXpackage
Provides:	AP13package

%description -n %{real_name}
This is an authentication module for Apache that allows you to authenticate
HTTP clients using user entries in an LDAP directory.


%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
%configure --with-ldap-sdk=openldap --with-shared-cache \
	--with-apxs=%{_sbindir}/apxs --with-frontpage
make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache-extramodules

install -m755 auth_ldap.so  $RPM_BUILD_ROOT%{_libdir}/apache-extramodules/auth_ldap.so

# Doc installation
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{real_name}-%{version}
cp *.html *.xml *.xsl *.dtd PROBLEMS $RPM_BUILD_ROOT%{_docdir}/%{real_name}-%{version}

# Doc linking
mkdir -p $RPM_BUILD_ROOT%{apachecontent}/addon-modules
pushd $RPM_BUILD_ROOT%{apachecontent}/addon-modules
ln -s ../../../..%{_docdir}/%{real_name}-%{version} %{real_name}
popd

%post -n %{real_name}
if [ $1 = "1" ]; then
   #We're in Install mode, add module to the config files
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
        %{_sbindir}/advxaddmod $config \
         extramodules/auth_ldap.so auth_ldap.c auth_ldap_module \
         define=HAVE_AUTH_LDAP
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi
fi 

if [ $1 -gt 1 ]; then
   #We're in *upgrade mode*. Since we can't be sure the configuration files
   #are sane, remove module from the conf files to clean them, re-add again 
   #in a way that the older module we're replacing won't try to erase (the 
   #post scripts were broken on some packages), and finally clean the module
   #specific config file so it's compatible with the upgrade.
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
        %{_sbindir}/advxdelmod $config \
         extramodules/auth_ldap.so auth_ldap.c auth_ldap_module \
         define=HAVE_AUTH_LDAP
     fi
     if [ -x %{_sbindir}/advxaddmod -a -e $config ]; then
        %{_sbindir}/advxaddmod $config \
         extramodules/auth_ldap.so auth_ldap.c auth_ldap_module \
         define=HAVE_AUTH_LDAP
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi
fi

%postun -n %{real_name}
if [ $1 = "0" ]; then
   for config in %{apachebase}/conf/{httpd,httpd-perl}.conf; do
     if [ -x %{_sbindir}/advxdelmod -a -e $config ]; then
        %{_sbindir}/advxdelmod $config \
         extramodules/auth_ldap.so auth_ldap.c auth_ldap_module \
         define=HAVE_AUTH_LDAP
     fi
   done
   if [ -x %{_sbindir}/AESctl ]; then %{_sbindir}/AESctl update;fi
fi
					  
%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{real_name}
%defattr(-,root,root)
%{_libdir}/apache-extramodules/auth_ldap.so
%dir %{_docdir}/%{real_name}-%{version}
%doc %{_docdir}/%{real_name}-%{version}/*
%{apachecontent}/addon-modules/*

%changelog
* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-9mdk
- rebuilt with new openssl

* Mon Jan 06 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-8mdk
- rebuilt for new mm version
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.6.0-7mdk
- Apache 1.3.26
- rebuild (so that it builds with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
  => fix segfault

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.0-6mdk
- Apache 1.3.24.

* Mon Mar 04 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.6.0-5mdk
- Registered module so we know when it's loaded

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.0-4mdk
- Keep the same SRPMS name and change RPMS name.

* Wed Feb 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.6.0-3mdk
- Spec cleanup.
- post and postun follow the advx apache's modules standard.
- Build with FrontPage hack (see doc for more info).

* Thu Oct 18 2001 Philippe Libat <philippe@mandrakesoft.com> 1.6.0-2mdk
- new db3

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.6.0-1mdk
- new version

* Thu May 31 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.4-1mdk
- new version

* Wed May 16 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.7-2mdk
- Rebuild.

* Wed Dec 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.7-1mdk
- new and shiny source to fix a not-so-new-and-shiny source.

* Mon Nov 13 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.4.5-1mdk
- new and shiny version.
- _libdir macro.

* Wed Aug 30 2000 Etienne Faure <etienne@mandrakesoft.com> 1.4.0-5mdk
- rebuilt with new %doc macro

* Sat May 13 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.0-4mdk
- Fix build for i486

* Tue Mar 21 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- build for mandrake 7.1

* Tue Nov 30 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- use of _tmppath for BuildRoot

* Tue Nov  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First mandrake release.

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- first build for Red Hat Linux 6.1
